Robots Egoldtech

robots it tech and more

OpenNI + ROS + Carmine 1.08 | i-Vizon —

OpenNI + ROS + Carmine 1.08 | i-Vizon.

 

What is OpenNI? http://i-vizon.blogspot.in/p/openni.html
What is PCL? http://i-vizon.blogspot.in/p/pcl.html
Follow link to setup the ROS in your Ubuntu
http://www.ros.org/wiki/ROS/Installation

Let us use our 3D sensor (mine is  Carmine 1.08) and see what ROS has in its store for us!
I assume you have the ROS setup in your machine
I assume you have OpenNI 1.5 .x and drivers are in place.

Get your sensor at http://www.primesense.com/solutions/sensor/.
*You may have to pay 50% of sensor cost for the transportation and customs. Actually I did 🙂

Step 1 : sudo apt-get install ros-groovy-openni-*

Reading package lists… Done
Building dependency tree       
Reading state information… Done
Note, selecting ‘ros-groovy-openni-tracker’ for regex ‘ros-groovy-openni-*’
Note, selecting ‘ros-groovy-openni-launch’ for regex ‘ros-groovy-openni-*’
Note, selecting ‘ros-groovy-openni-camera’ for regex ‘ros-groovy-openni-*’
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
 
The following packages have unmet dependencies:
 ros-groovy-openni-camera : Depends: libopenni0 but it is not going to be installed
                            Depends: libopenni-sensor-primesense-dev but it is not going to be installed
                            Depends: libopenni-dev but it is not going to be installed
 ros-groovy-openni-tracker : Depends: libopenni-dev but it is not going to be installed
                             Depends: libopenni-sensor-primesense-dev but it is not going to be installed
                             Depends: libopenni-nite-dev but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
 Leaves me to bang my head 🙂 Forgot what I did last time. Okay we will install one by one.


sudo apt-get install libopenni0
sudo apt-get install libopenni-sensor-primesense-dev
sudo apt-get install libopenni-nite-dev

Step 2 : sudo apt-get install ros-groovy-openni-*
Step 3 : Follow instructions here 
http://www.ros.org/wiki/openni_launch
Wiki is for electric version, but still it can be used to check the groovy package.



Started pretty much easily. Make sure you have a high end machine to run the demo smoothly.

ROS with all complex algorithms and visualization for 3D point clouds, is  a good place to explore and play !


Categorised as: Open CV | projects | ROS



Leave a Reply

Your email address will not be published. Required fields are marked *